Skip to main content
PATCH
Update Postgres service state
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Initiate a process for a Postgres service:
  • restart: Initiates a service restart
  • promote: Promotes a read replica to primary
  • switchover: Switch a primary over to a standby

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Body

application/json
command
enum<string>

Postgres status, which initiates a process.

Available options:
restart,
promote,
switchover

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026